suix_resolveNameServiceNames
POST
Return the resolved names given address, if multiple names are resolved, the first one is the primary name.
param[0]
addressstringrequired
The address to resolveparam[1]
cursorstringrequired
Optional paging cursorparam[2]
limitintegerrequired
Maximum number of items per pageResponses
jsonrpcstring
idinteger
next_cursor points to the last item in the page; Reading with next_cursor will start from the next item after next_cursor if next_cursor is Some, otherwise it will start from the first item.dataarrayrequired
hasNextPagebooleanrequired
nextCursorobject
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "suix_resolveNameServiceNames","params": ["0x5cd6fa76ed1d18f05f15e35075252ddec4fb83621d55952d9172fcfcb72feae2","0xd22bbb46f892c42d9ec0ae4de93e02c75973a51c17180798237326a58694a2cf",3]}'